ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.116 by root, Sun Nov 11 04:08:00 2007 UTC vs.
Revision 1.121 by ayin, Tue Dec 11 00:01:28 2007 UTC

658host_cpu 658host_cpu
659host_vendor 659host_vendor
660host_os 660host_os
661VERSION 661VERSION
662DATE 662DATE
663LSMDATE
664LIBVERSION
665CC 663CC
666CFLAGS 664CFLAGS
667LDFLAGS 665LDFLAGS
668CPPFLAGS 666CPPFLAGS
669ac_ct_CC 667ac_ct_CC
677INSTALL_SCRIPT 675INSTALL_SCRIPT
678INSTALL_DATA 676INSTALL_DATA
679GREP 677GREP
680EGREP 678EGREP
681LINKER 679LINKER
682INSTALL_LIBRXVT
683RXVTNAME 680RXVTNAME
684CXXCPP 681CXXCPP
685TIC 682TIC
686XMKMF 683XMKMF
687X_CFLAGS 684X_CFLAGS
1316Optional Features: 1313Optional Features:
1317 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 1314 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1318 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 1315 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1319 --enable-everything enable standard non-multichoice features 1316 --enable-everything enable standard non-multichoice features
1320 NOTE: this option is order dependent 1317 NOTE: this option is order dependent
1321 NOTE: automatically enabled with --enable-shared
1322 --enable-warnings turn on g++ warnings 1318 --enable-warnings turn on g++ warnings
1323 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1319 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1324 --enable-combining enable composition of base and combining characters 1320 --enable-combining enable composition of base and combining characters
1325 --enable-xft enable xft support on systems that have it 1321 --enable-xft enable xft support on systems that have it
1326 --enable-font-styles enable bold and italic support 1322 --enable-font-styles enable bold and italic support
1328 --enable-transparency enable transparent backgrounds 1324 --enable-transparency enable transparent backgrounds
1329 --enable-fading enable colors fading when off focus 1325 --enable-fading enable colors fading when off focus
1330 --enable-rxvt-scroll enable rxvt style scrollbar 1326 --enable-rxvt-scroll enable rxvt style scrollbar
1331 --enable-next-scroll enable NeXT style scrollbar 1327 --enable-next-scroll enable NeXT style scrollbar
1332 --enable-xterm-scroll enable Xterm style scrollbar 1328 --enable-xterm-scroll enable Xterm style scrollbar
1329 --enable-plain-scroll enable plain style scrollbar
1333 --enable-perl enable embedded perl interpreter 1330 --enable-perl enable embedded perl interpreter
1334 --enable-plain-scroll enable plain style scrollbar
1335 --enable-xim XIM (X Input Method) protocol support 1331 --enable-xim XIM (X Input Method) protocol support
1336 --disable-backspace-key disable handling of the backspace key 1332 --disable-backspace-key disable handling of the backspace key
1337 --disable-delete-key disable handling of the delete key 1333 --disable-delete-key disable handling of the delete key
1338 --disable-resources disable all resource checking 1334 --disable-resources disable all resource checking
1339 --enable-8bitctrls enable 8 bit control sequences (not recommended) 1335 --enable-8bitctrls enable 8 bit control sequences (not recommended)
1920 1916
1921 1917
1922 1918
1923VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1919VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1924DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1920DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1921
1925echo "" 1922echo ""
1926echo "configuring for rxvt $VERSION" 1923echo "configuring for rxvt $VERSION"
1927echo "" 1924echo ""
1928 1925
1929orig_CXXFLAGS="$CXXFLAGS" 1926orig_CXXFLAGS="$CXXFLAGS"
1930
1931 1927
1932ac_ext=c 1928ac_ext=c
1933ac_cpp='$CPP $CPPFLAGS' 1929ac_cpp='$CPP $CPPFLAGS'
1934ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 1930ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1935ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 1931ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3714echo "${ECHO_T}no" >&6; } 3710echo "${ECHO_T}no" >&6; }
3715fi 3711fi
3716rm -f conftest* 3712rm -f conftest*
3717 3713
3718 3714
3715
3716cat >>confdefs.h <<\_ACEOF
3717#define _GNU_SOURCE 1
3718_ACEOF
3719
3720
3719{ echo "$as_me:$LINENO: checking for library containing strerror" >&5 3721{ echo "$as_me:$LINENO: checking for library containing strerror" >&5
3720echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; } 3722echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; }
3721if test "${ac_cv_search_strerror+set}" = set; then 3723if test "${ac_cv_search_strerror+set}" = set; then
3722 echo $ECHO_N "(cached) $ECHO_C" >&6 3724 echo $ECHO_N "(cached) $ECHO_C" >&6
3723else 3725else
3870LINKER=$LINKER 3872LINKER=$LINKER
3871 3873
3872 3874
3873if test -z "$orig_CXXFLAGS"; then 3875if test -z "$orig_CXXFLAGS"; then
3874 if test x$GCC = xyes && test "x$GXX" = xyes; then 3876 if test x$GCC = xyes && test "x$GXX" = xyes; then
3875 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3877 CXXFLAGS="-g -O3 -fno-rtti -fvisibility-inlines-hidden -fno-threadsafe-statics -fno-enforce-eh-specs"
3876 cat >conftest.$ac_ext <<_ACEOF 3878 cat >conftest.$ac_ext <<_ACEOF
3877/* confdefs.h. */ 3879/* confdefs.h. */
3878_ACEOF 3880_ACEOF
3879cat confdefs.h >>conftest.$ac_ext 3881cat confdefs.h >>conftest.$ac_ext
3880cat >>conftest.$ac_ext <<_ACEOF 3882cat >>conftest.$ac_ext <<_ACEOF
3918 CXXFLAGS="-O" 3920 CXXFLAGS="-O"
3919 fi 3921 fi
3920 CFLAGS="$CXXFLAGS" 3922 CFLAGS="$CXXFLAGS"
3921fi 3923fi
3922 3924
3923
3924cat >>confdefs.h <<\_ACEOF
3925#define _GNU_SOURCE 1
3926_ACEOF
3927
3928
3929case $host in 3925case $host in
3930 *-*-solaris* ) 3926 *-*-solaris* )
3931 3927
3932cat >>confdefs.h <<\_ACEOF 3928cat >>confdefs.h <<\_ACEOF
3933#define _XOPEN_SOURCE 500 3929#define _XOPEN_SOURCE 500
3934_ACEOF 3930_ACEOF
3935 3931
3936 ;; 3932 ;;
3937esac 3933esac
3938
3939 3934
3940{ echo "$as_me:$LINENO: checking for setlocale" >&5 3935{ echo "$as_me:$LINENO: checking for setlocale" >&5
3941echo $ECHO_N "checking for setlocale... $ECHO_C" >&6; } 3936echo $ECHO_N "checking for setlocale... $ECHO_C" >&6; }
3942if test "${ac_cv_func_setlocale+set}" = set; then 3937if test "${ac_cv_func_setlocale+set}" = set; then
3943 echo $ECHO_N "(cached) $ECHO_C" >&6 3938 echo $ECHO_N "(cached) $ECHO_C" >&6
4416support_iso14755=yes 4411support_iso14755=yes
4417support_styles=yes 4412support_styles=yes
4418support_perl=yes 4413support_perl=yes
4419codesets=all 4414codesets=all
4420 4415
4421
4422if test "x$enable_shared" = xyes; then
4423
4424cat >>confdefs.h <<\_ACEOF
4425#define LIBRXVT 1
4426_ACEOF
4427
4428 INSTALL_LIBRXVT=yes
4429fi
4430 4416
4431 4417
4432# Check whether --enable-everything was given. 4418# Check whether --enable-everything was given.
4433if test "${enable_everything+set}" = set; then 4419if test "${enable_everything+set}" = set; then
4434 enableval=$enable_everything; 4420 enableval=$enable_everything;
4640 support_scroll_xterm=$enableval 4626 support_scroll_xterm=$enableval
4641 fi 4627 fi
4642fi 4628fi
4643 4629
4644 4630
4631# Check whether --enable-plain-scroll was given.
4632if test "${enable_plain_scroll+set}" = set; then
4633 enableval=$enable_plain_scroll; if test x$enableval = xyes -o x$enableval = xno; then
4634 support_scroll_plain=$enableval
4635 fi
4636fi
4637
4638
4645# Check whether --enable-perl was given. 4639# Check whether --enable-perl was given.
4646if test "${enable_perl+set}" = set; then 4640if test "${enable_perl+set}" = set; then
4647 enableval=$enable_perl; if test x$enableval = xyes -o x$enableval = xno; then 4641 enableval=$enable_perl; if test x$enableval = xyes -o x$enableval = xno; then
4648 support_perl=$enableval 4642 support_perl=$enableval
4649 fi
4650fi
4651
4652
4653# Check whether --enable-plain-scroll was given.
4654if test "${enable_plain_scroll+set}" = set; then
4655 enableval=$enable_plain_scroll; if test x$enableval = xyes -o x$enableval = xno; then
4656 support_scroll_plain=$enableval
4657 fi 4643 fi
4658fi 4644fi
4659 4645
4660 4646
4661 4647
4891 fi 4877 fi
4892fi 4878fi
4893 4879
4894 4880
4895 4881
4882LIBEV_M4_AVOID_LIBRT=1
4896 4883
4897ac_ext=cpp 4884ac_ext=cpp
4898ac_cpp='$CXXCPP $CPPFLAGS' 4885ac_cpp='$CXXCPP $CPPFLAGS'
4899ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 4886ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4900ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 4887ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5365 5352
5366 5353
5367 5354
5368 5355
5369 5356
5370for ac_header in sys/epoll.h sys/event.h sys/queue.h 5357
5358
5359
5360
5361for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h
5371do 5362do
5372as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 5363as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5373if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 5364if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5374 { echo "$as_me:$LINENO: checking for $ac_header" >&5 5365 { echo "$as_me:$LINENO: checking for $ac_header" >&5
5375echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 5366echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5507done 5498done
5508 5499
5509 5500
5510 5501
5511 5502
5512for ac_func in epoll_ctl kqueue 5503
5504
5505
5506
5507for ac_func in inotify_init epoll_ctl kqueue port_create poll select
5513do 5508do
5514as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 5509as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5515{ echo "$as_me:$LINENO: checking for $ac_func" >&5 5510{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5516echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 5511echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
5517if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then 5512if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
5686echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; } 5681echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
5687if test $ac_cv_func_clock_gettime = yes; then 5682if test $ac_cv_func_clock_gettime = yes; then
5688 : 5683 :
5689else 5684else
5690 5685
5686 if test -z "$LIBEV_M4_AVOID_LIBRT"; then
5691 5687
5692{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5 5688{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
5693echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; } 5689echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
5694if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then 5690if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
5695 echo $ECHO_N "(cached) $ECHO_C" >&6 5691 echo $ECHO_N "(cached) $ECHO_C" >&6
5757 5753
5758 LIBS="-lrt $LIBS" 5754 LIBS="-lrt $LIBS"
5759 5755
5760fi 5756fi
5761 5757
5758 unset ac_cv_func_clock_gettime
5762 5759
5763for ac_func in clock_gettime 5760for ac_func in clock_gettime
5764do 5761do
5765as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 5762as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5766{ echo "$as_me:$LINENO: checking for $ac_func" >&5 5763{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5851_ACEOF 5848_ACEOF
5852 5849
5853fi 5850fi
5854done 5851done
5855 5852
5853 fi
5856 5854
5857fi 5855fi
5858 5856
5859 5857
5860 5858
5971echo "${ECHO_T}$TIC" >&6; } 5969echo "${ECHO_T}$TIC" >&6; }
5972else 5970else
5973 { echo "$as_me:$LINENO: result: no" >&5 5971 { echo "$as_me:$LINENO: result: no" >&5
5974echo "${ECHO_T}no" >&6; } 5972echo "${ECHO_T}no" >&6; }
5975fi 5973fi
5976
5977
5978 5974
5979 5975
5980 5976
5981{ echo "$as_me:$LINENO: checking for X" >&5 5977{ echo "$as_me:$LINENO: checking for X" >&5
5982echo $ECHO_N "checking for X... $ECHO_C" >&6; } 5978echo $ECHO_N "checking for X... $ECHO_C" >&6; }
7369echo "${ECHO_T}no" >&6; } 7365echo "${ECHO_T}no" >&6; }
7370 fi 7366 fi
7371 fi 7367 fi
7372fi 7368fi
7373 7369
7374{ echo "$as_me:$LINENO: checking for sys/wait.h that is POSIX.1 compatible" >&5
7375echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6; }
7376if test "${ac_cv_header_sys_wait_h+set}" = set; then
7377 echo $ECHO_N "(cached) $ECHO_C" >&6
7378else
7379 cat >conftest.$ac_ext <<_ACEOF
7380/* confdefs.h. */
7381_ACEOF
7382cat confdefs.h >>conftest.$ac_ext
7383cat >>conftest.$ac_ext <<_ACEOF
7384/* end confdefs.h. */
7385#include <sys/types.h>
7386#include <sys/wait.h>
7387#ifndef WEXITSTATUS
7388# define WEXITSTATUS(stat_val) ((unsigned int) (stat_val) >> 8)
7389#endif
7390#ifndef WIFEXITED
7391# define WIFEXITED(stat_val) (((stat_val) & 255) == 0)
7392#endif
7393
7394int
7395main ()
7396{
7397 int s;
7398 wait (&s);
7399 s = WIFEXITED (s) ? WEXITSTATUS (s) : 1;
7400 ;
7401 return 0;
7402}
7403_ACEOF
7404rm -f conftest.$ac_objext
7405if { (ac_try="$ac_compile"
7406case "(($ac_try" in
7407 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7408 *) ac_try_echo=$ac_try;;
7409esac
7410eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7411 (eval "$ac_compile") 2>conftest.er1
7412 ac_status=$?
7413 grep -v '^ *+' conftest.er1 >conftest.err
7414 rm -f conftest.er1
7415 cat conftest.err >&5
7416 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7417 (exit $ac_status); } && {
7418 test -z "$ac_cxx_werror_flag" ||
7419 test ! -s conftest.err
7420 } && test -s conftest.$ac_objext; then
7421 ac_cv_header_sys_wait_h=yes
7422else
7423 echo "$as_me: failed program was:" >&5
7424sed 's/^/| /' conftest.$ac_ext >&5
7425
7426 ac_cv_header_sys_wait_h=no
7427fi
7428
7429rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7430fi
7431{ echo "$as_me:$LINENO: result: $ac_cv_header_sys_wait_h" >&5
7432echo "${ECHO_T}$ac_cv_header_sys_wait_h" >&6; }
7433if test $ac_cv_header_sys_wait_h = yes; then
7434
7435cat >>confdefs.h <<\_ACEOF
7436#define HAVE_SYS_WAIT_H 1
7437_ACEOF
7438
7439fi
7440
7441 7370
7442 7371
7443 7372
7444 7373
7445 7374
7611fi 7540fi
7612 7541
7613done 7542done
7614 7543
7615 7544
7616{ echo "$as_me:$LINENO: checking whether time.h and sys/time.h may both be included" >&5
7617echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6; }
7618if test "${ac_cv_header_time+set}" = set; then
7619 echo $ECHO_N "(cached) $ECHO_C" >&6
7620else
7621 cat >conftest.$ac_ext <<_ACEOF
7622/* confdefs.h. */
7623_ACEOF
7624cat confdefs.h >>conftest.$ac_ext
7625cat >>conftest.$ac_ext <<_ACEOF
7626/* end confdefs.h. */
7627#include <sys/types.h>
7628#include <sys/time.h>
7629#include <time.h>
7630
7631int
7632main ()
7633{
7634if ((struct tm *) 0)
7635return 0;
7636 ;
7637 return 0;
7638}
7639_ACEOF
7640rm -f conftest.$ac_objext
7641if { (ac_try="$ac_compile"
7642case "(($ac_try" in
7643 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7644 *) ac_try_echo=$ac_try;;
7645esac
7646eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7647 (eval "$ac_compile") 2>conftest.er1
7648 ac_status=$?
7649 grep -v '^ *+' conftest.er1 >conftest.err
7650 rm -f conftest.er1
7651 cat conftest.err >&5
7652 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7653 (exit $ac_status); } && {
7654 test -z "$ac_cxx_werror_flag" ||
7655 test ! -s conftest.err
7656 } && test -s conftest.$ac_objext; then
7657 ac_cv_header_time=yes
7658else
7659 echo "$as_me: failed program was:" >&5
7660sed 's/^/| /' conftest.$ac_ext >&5
7661
7662 ac_cv_header_time=no
7663fi
7664
7665rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7666fi
7667{ echo "$as_me:$LINENO: result: $ac_cv_header_time" >&5
7668echo "${ECHO_T}$ac_cv_header_time" >&6; }
7669if test $ac_cv_header_time = yes; then
7670
7671cat >>confdefs.h <<\_ACEOF
7672#define TIME_WITH_SYS_TIME 1
7673_ACEOF
7674
7675fi
7676
7677
7678{ echo "$as_me:$LINENO: checking whether termios.h and sys/ioctl.h may both be included" >&5 7545{ echo "$as_me:$LINENO: checking whether termios.h and sys/ioctl.h may both be included" >&5
7679echo $ECHO_N "checking whether termios.h and sys/ioctl.h may both be included... $ECHO_C" >&6; } 7546echo $ECHO_N "checking whether termios.h and sys/ioctl.h may both be included... $ECHO_C" >&6; }
7680if test "${rxvt_cv_header_sysioctl+set}" = set; then 7547if test "${rxvt_cv_header_sysioctl+set}" = set; then
7681 echo $ECHO_N "(cached) $ECHO_C" >&6 7548 echo $ECHO_N "(cached) $ECHO_C" >&6
7682else 7549else
7847cat >>confdefs.h <<\_ACEOF 7714cat >>confdefs.h <<\_ACEOF
7848#define XLIB_ILLEGAL_ACCESS 1 7715#define XLIB_ILLEGAL_ACCESS 1
7849_ACEOF 7716_ACEOF
7850 7717
7851fi 7718fi
7852
7853{ echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
7854echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6; }
7855if test "${ac_cv_c_const+set}" = set; then
7856 echo $ECHO_N "(cached) $ECHO_C" >&6
7857else
7858 cat >conftest.$ac_ext <<_ACEOF
7859/* confdefs.h. */
7860_ACEOF
7861cat confdefs.h >>conftest.$ac_ext
7862cat >>conftest.$ac_ext <<_ACEOF
7863/* end confdefs.h. */
7864
7865int
7866main ()
7867{
7868/* FIXME: Include the comments suggested by Paul. */
7869#ifndef __cplusplus
7870 /* Ultrix mips cc rejects this. */
7871 typedef int charset[2];
7872 const charset cs;
7873 /* SunOS 4.1.1 cc rejects this. */
7874 char const *const *pcpcc;
7875 char **ppc;
7876 /* NEC SVR4.0.2 mips cc rejects this. */
7877 struct point {int x, y;};
7878 static struct point const zero = {0,0};
7879 /* AIX XL C 1.02.0.0 rejects this.
7880 It does not let you subtract one const X* pointer from another in
7881 an arm of an if-expression whose if-part is not a constant
7882 expression */
7883 const char *g = "string";
7884 pcpcc = &g + (g ? g-g : 0);
7885 /* HPUX 7.0 cc rejects these. */
7886 ++pcpcc;
7887 ppc = (char**) pcpcc;
7888 pcpcc = (char const *const *) ppc;
7889 { /* SCO 3.2v4 cc rejects this. */
7890 char *t;
7891 char const *s = 0 ? (char *) 0 : (char const *) 0;
7892
7893 *t++ = 0;
7894 if (s) return 0;
7895 }
7896 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
7897 int x[] = {25, 17};
7898 const int *foo = &x[0];
7899 ++foo;
7900 }
7901 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
7902 typedef const int *iptr;
7903 iptr p = 0;
7904 ++p;
7905 }
7906 { /* AIX XL C 1.02.0.0 rejects this saying
7907 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
7908 struct s { int j; const int *ap[3]; };
7909 struct s *b; b->j = 5;
7910 }
7911 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
7912 const int foo = 10;
7913 if (!foo) return 0;
7914 }
7915 return !cs[0] && !zero.x;
7916#endif
7917
7918 ;
7919 return 0;
7920}
7921_ACEOF
7922rm -f conftest.$ac_objext
7923if { (ac_try="$ac_compile"
7924case "(($ac_try" in
7925 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7926 *) ac_try_echo=$ac_try;;
7927esac
7928eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7929 (eval "$ac_compile") 2>conftest.er1
7930 ac_status=$?
7931 grep -v '^ *+' conftest.er1 >conftest.err
7932 rm -f conftest.er1
7933 cat conftest.err >&5
7934 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7935 (exit $ac_status); } && {
7936 test -z "$ac_cxx_werror_flag" ||
7937 test ! -s conftest.err
7938 } && test -s conftest.$ac_objext; then
7939 ac_cv_c_const=yes
7940else
7941 echo "$as_me: failed program was:" >&5
7942sed 's/^/| /' conftest.$ac_ext >&5
7943
7944 ac_cv_c_const=no
7945fi
7946
7947rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7948fi
7949{ echo "$as_me:$LINENO: result: $ac_cv_c_const" >&5
7950echo "${ECHO_T}$ac_cv_c_const" >&6; }
7951if test $ac_cv_c_const = no; then
7952
7953cat >>confdefs.h <<\_ACEOF
7954#define const
7955_ACEOF
7956
7957fi
7958
7959{ echo "$as_me:$LINENO: checking for inline" >&5
7960echo $ECHO_N "checking for inline... $ECHO_C" >&6; }
7961if test "${ac_cv_c_inline+set}" = set; then
7962 echo $ECHO_N "(cached) $ECHO_C" >&6
7963else
7964 ac_cv_c_inline=no
7965for ac_kw in inline __inline__ __inline; do
7966 cat >conftest.$ac_ext <<_ACEOF
7967/* confdefs.h. */
7968_ACEOF
7969cat confdefs.h >>conftest.$ac_ext
7970cat >>conftest.$ac_ext <<_ACEOF
7971/* end confdefs.h. */
7972#ifndef __cplusplus
7973typedef int foo_t;
7974static $ac_kw foo_t static_foo () {return 0; }
7975$ac_kw foo_t foo () {return 0; }
7976#endif
7977
7978_ACEOF
7979rm -f conftest.$ac_objext
7980if { (ac_try="$ac_compile"
7981case "(($ac_try" in
7982 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7983 *) ac_try_echo=$ac_try;;
7984esac
7985eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7986 (eval "$ac_compile") 2>conftest.er1
7987 ac_status=$?
7988 grep -v '^ *+' conftest.er1 >conftest.err
7989 rm -f conftest.er1
7990 cat conftest.err >&5
7991 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7992 (exit $ac_status); } && {
7993 test -z "$ac_cxx_werror_flag" ||
7994 test ! -s conftest.err
7995 } && test -s conftest.$ac_objext; then
7996 ac_cv_c_inline=$ac_kw
7997else
7998 echo "$as_me: failed program was:" >&5
7999sed 's/^/| /' conftest.$ac_ext >&5
8000
8001
8002fi
8003
8004rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8005 test "$ac_cv_c_inline" != no && break
8006done
8007
8008fi
8009{ echo "$as_me:$LINENO: result: $ac_cv_c_inline" >&5
8010echo "${ECHO_T}$ac_cv_c_inline" >&6; }
8011
8012
8013case $ac_cv_c_inline in
8014 inline | yes) ;;
8015 *)
8016 case $ac_cv_c_inline in
8017 no) ac_val=;;
8018 *) ac_val=$ac_cv_c_inline;;
8019 esac
8020 cat >>confdefs.h <<_ACEOF
8021#ifndef __cplusplus
8022#define inline $ac_val
8023#endif
8024_ACEOF
8025 ;;
8026esac
8027
8028
8029 7719
8030{ echo "$as_me:$LINENO: checking for mode_t" >&5 7720{ echo "$as_me:$LINENO: checking for mode_t" >&5
8031echo $ECHO_N "checking for mode_t... $ECHO_C" >&6; } 7721echo $ECHO_N "checking for mode_t... $ECHO_C" >&6; }
8032if test "${ac_cv_type_mode_t+set}" = set; then 7722if test "${ac_cv_type_mode_t+set}" = set; then
8033 echo $ECHO_N "(cached) $ECHO_C" >&6 7723 echo $ECHO_N "(cached) $ECHO_C" >&6
10148 fi 9838 fi
10149fi 9839fi
10150 9840
10151 9841
10152 9842
10153{ echo "$as_me:$LINENO: checking return type of signal handlers" >&5
10154echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6; }
10155if test "${ac_cv_type_signal+set}" = set; then
10156 echo $ECHO_N "(cached) $ECHO_C" >&6
10157else
10158 cat >conftest.$ac_ext <<_ACEOF
10159/* confdefs.h. */
10160_ACEOF
10161cat confdefs.h >>conftest.$ac_ext
10162cat >>conftest.$ac_ext <<_ACEOF
10163/* end confdefs.h. */
10164#include <sys/types.h>
10165#include <signal.h>
10166
10167int
10168main ()
10169{
10170return *(signal (0, 0)) (0) == 1;
10171 ;
10172 return 0;
10173}
10174_ACEOF
10175rm -f conftest.$ac_objext
10176if { (ac_try="$ac_compile"
10177case "(($ac_try" in
10178 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10179 *) ac_try_echo=$ac_try;;
10180esac
10181eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10182 (eval "$ac_compile") 2>conftest.er1
10183 ac_status=$?
10184 grep -v '^ *+' conftest.er1 >conftest.err
10185 rm -f conftest.er1
10186 cat conftest.err >&5
10187 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10188 (exit $ac_status); } && {
10189 test -z "$ac_cxx_werror_flag" ||
10190 test ! -s conftest.err
10191 } && test -s conftest.$ac_objext; then
10192 ac_cv_type_signal=int
10193else
10194 echo "$as_me: failed program was:" >&5
10195sed 's/^/| /' conftest.$ac_ext >&5
10196
10197 ac_cv_type_signal=void
10198fi
10199
10200rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
10201fi
10202{ echo "$as_me:$LINENO: result: $ac_cv_type_signal" >&5
10203echo "${ECHO_T}$ac_cv_type_signal" >&6; }
10204
10205cat >>confdefs.h <<_ACEOF
10206#define RETSIGTYPE $ac_cv_type_signal
10207_ACEOF
10208
10209
10210
10211 9843
10212for ac_func in unsetenv 9844for ac_func in unsetenv
10213do 9845do
10214as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 9846as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10215{ echo "$as_me:$LINENO: checking for $ac_func" >&5 9847{ echo "$as_me:$LINENO: checking for $ac_func" >&5
10454fi 10086fi
10455done 10087done
10456 10088
10457 10089
10458 10090
10459
10460
10461for ac_header in \ 10091for ac_header in lastlog.h
10462 utmp.h \
10463 utmpx.h \
10464 lastlog.h \
10465
10466do 10092do
10467as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 10093as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10468if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 10094if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10469 { echo "$as_me:$LINENO: checking for $ac_header" >&5 10095 { echo "$as_me:$LINENO: checking for $ac_header" >&5
10470echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 10096echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10601 10227
10602done 10228done
10603 10229
10604 10230
10605 10231
10606if test "${ac_cv_header_utmp_h+set}" = set; then 10232
10233for ac_header in utmp.h
10234do
10235as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10236if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10607 { echo "$as_me:$LINENO: checking for utmp.h" >&5 10237 { echo "$as_me:$LINENO: checking for $ac_header" >&5
10608echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 10238echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10609if test "${ac_cv_header_utmp_h+set}" = set; then 10239if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10610 echo $ECHO_N "(cached) $ECHO_C" >&6 10240 echo $ECHO_N "(cached) $ECHO_C" >&6
10611fi 10241fi
10242ac_res=`eval echo '${'$as_ac_Header'}'`
10612{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 10243 { echo "$as_me:$LINENO: result: $ac_res" >&5
10613echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 10244echo "${ECHO_T}$ac_res" >&6; }
10614else 10245else
10615 # Is the header compilable? 10246 # Is the header compilable?
10616{ echo "$as_me:$LINENO: checking utmp.h usability" >&5 10247{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
10617echo $ECHO_N "checking utmp.h usability... $ECHO_C" >&6; } 10248echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
10618cat >conftest.$ac_ext <<_ACEOF 10249cat >conftest.$ac_ext <<_ACEOF
10619/* confdefs.h. */ 10250/* confdefs.h. */
10620_ACEOF 10251_ACEOF
10621cat confdefs.h >>conftest.$ac_ext 10252cat confdefs.h >>conftest.$ac_ext
10622cat >>conftest.$ac_ext <<_ACEOF 10253cat >>conftest.$ac_ext <<_ACEOF
10623/* end confdefs.h. */ 10254/* end confdefs.h. */
10624$ac_includes_default 10255$ac_includes_default
10625#include <utmp.h> 10256#include <$ac_header>
10626_ACEOF 10257_ACEOF
10627rm -f conftest.$ac_objext 10258rm -f conftest.$ac_objext
10628if { (ac_try="$ac_compile" 10259if { (ac_try="$ac_compile"
10629case "(($ac_try" in 10260case "(($ac_try" in
10630 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10261 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10652rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 10283rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
10653{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 10284{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10654echo "${ECHO_T}$ac_header_compiler" >&6; } 10285echo "${ECHO_T}$ac_header_compiler" >&6; }
10655 10286
10656# Is the header present? 10287# Is the header present?
10657{ echo "$as_me:$LINENO: checking utmp.h presence" >&5 10288{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
10658echo $ECHO_N "checking utmp.h presence... $ECHO_C" >&6; } 10289echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
10659cat >conftest.$ac_ext <<_ACEOF 10290cat >conftest.$ac_ext <<_ACEOF
10660/* confdefs.h. */ 10291/* confdefs.h. */
10661_ACEOF 10292_ACEOF
10662cat confdefs.h >>conftest.$ac_ext 10293cat confdefs.h >>conftest.$ac_ext
10663cat >>conftest.$ac_ext <<_ACEOF 10294cat >>conftest.$ac_ext <<_ACEOF
10664/* end confdefs.h. */ 10295/* end confdefs.h. */
10665#include <utmp.h> 10296#include <$ac_header>
10666_ACEOF 10297_ACEOF
10667if { (ac_try="$ac_cpp conftest.$ac_ext" 10298if { (ac_try="$ac_cpp conftest.$ac_ext"
10668case "(($ac_try" in 10299case "(($ac_try" in
10669 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10300 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10670 *) ac_try_echo=$ac_try;; 10301 *) ac_try_echo=$ac_try;;
10693echo "${ECHO_T}$ac_header_preproc" >&6; } 10324echo "${ECHO_T}$ac_header_preproc" >&6; }
10694 10325
10695# So? What about this header? 10326# So? What about this header?
10696case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 10327case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10697 yes:no: ) 10328 yes:no: )
10698 { echo "$as_me:$LINENO: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&5 10329 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10699echo "$as_me: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 10330echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10700 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the compiler's result" >&5 10331 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
10701echo "$as_me: WARNING: utmp.h: proceeding with the compiler's result" >&2;} 10332echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
10702 ac_header_preproc=yes 10333 ac_header_preproc=yes
10703 ;; 10334 ;;
10704 no:yes:* ) 10335 no:yes:* )
10705 { echo "$as_me:$LINENO: WARNING: utmp.h: present but cannot be compiled" >&5 10336 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10706echo "$as_me: WARNING: utmp.h: present but cannot be compiled" >&2;} 10337echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10707 { echo "$as_me:$LINENO: WARNING: utmp.h: check for missing prerequisite headers?" >&5 10338 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10708echo "$as_me: WARNING: utmp.h: check for missing prerequisite headers?" >&2;} 10339echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10709 { echo "$as_me:$LINENO: WARNING: utmp.h: see the Autoconf documentation" >&5 10340 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
10710echo "$as_me: WARNING: utmp.h: see the Autoconf documentation" >&2;} 10341echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
10711 { echo "$as_me:$LINENO: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&5 10342 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
10712echo "$as_me: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&2;} 10343echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
10713 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the preprocessor's result" >&5 10344 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10714echo "$as_me: WARNING: utmp.h: proceeding with the preprocessor's result" >&2;} 10345echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10715 { echo "$as_me:$LINENO: WARNING: utmp.h: in the future, the compiler will take precedence" >&5 10346 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
10716echo "$as_me: WARNING: utmp.h: in the future, the compiler will take precedence" >&2;} 10347echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
10717 10348
10718 ;; 10349 ;;
10719esac 10350esac
10720{ echo "$as_me:$LINENO: checking for utmp.h" >&5 10351{ echo "$as_me:$LINENO: checking for $ac_header" >&5
10721echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 10352echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10722if test "${ac_cv_header_utmp_h+set}" = set; then 10353if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10723 echo $ECHO_N "(cached) $ECHO_C" >&6 10354 echo $ECHO_N "(cached) $ECHO_C" >&6
10724else 10355else
10725 ac_cv_header_utmp_h=$ac_header_preproc 10356 eval "$as_ac_Header=\$ac_header_preproc"
10726fi 10357fi
10358ac_res=`eval echo '${'$as_ac_Header'}'`
10727{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 10359 { echo "$as_me:$LINENO: result: $ac_res" >&5
10728echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 10360echo "${ECHO_T}$ac_res" >&6; }
10729 10361
10730fi 10362fi
10731if test $ac_cv_header_utmp_h = yes; then 10363if test `eval echo '${'$as_ac_Header'}'` = yes; then
10364 cat >>confdefs.h <<_ACEOF
10365#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10366_ACEOF
10732 { echo "$as_me:$LINENO: checking for struct utmp" >&5 10367 { echo "$as_me:$LINENO: checking for struct utmp" >&5
10733echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; } 10368echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; }
10734if test "${struct_utmp+set}" = set; then 10369if test "${struct_utmp+set}" = set; then
10735 echo $ECHO_N "(cached) $ECHO_C" >&6 10370 echo $ECHO_N "(cached) $ECHO_C" >&6
10736else 10371else
10737 cat >conftest.$ac_ext <<_ACEOF 10372 cat >conftest.$ac_ext <<_ACEOF
10904 10539
10905fi 10540fi
10906 10541
10907fi 10542fi
10908 10543
10544done
10909 10545
10910 10546
10911if test "${ac_cv_header_utmpx_h+set}" = set; then 10547
10548for ac_header in utmpx.h
10549do
10550as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10551if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10912 { echo "$as_me:$LINENO: checking for utmpx.h" >&5 10552 { echo "$as_me:$LINENO: checking for $ac_header" >&5
10913echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 10553echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10914if test "${ac_cv_header_utmpx_h+set}" = set; then 10554if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10915 echo $ECHO_N "(cached) $ECHO_C" >&6 10555 echo $ECHO_N "(cached) $ECHO_C" >&6
10916fi 10556fi
10557ac_res=`eval echo '${'$as_ac_Header'}'`
10917{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 10558 { echo "$as_me:$LINENO: result: $ac_res" >&5
10918echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 10559echo "${ECHO_T}$ac_res" >&6; }
10919else 10560else
10920 # Is the header compilable? 10561 # Is the header compilable?
10921{ echo "$as_me:$LINENO: checking utmpx.h usability" >&5 10562{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
10922echo $ECHO_N "checking utmpx.h usability... $ECHO_C" >&6; } 10563echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
10923cat >conftest.$ac_ext <<_ACEOF 10564cat >conftest.$ac_ext <<_ACEOF
10924/* confdefs.h. */ 10565/* confdefs.h. */
10925_ACEOF 10566_ACEOF
10926cat confdefs.h >>conftest.$ac_ext 10567cat confdefs.h >>conftest.$ac_ext
10927cat >>conftest.$ac_ext <<_ACEOF 10568cat >>conftest.$ac_ext <<_ACEOF
10928/* end confdefs.h. */ 10569/* end confdefs.h. */
10929$ac_includes_default 10570$ac_includes_default
10930#include <utmpx.h> 10571#include <$ac_header>
10931_ACEOF 10572_ACEOF
10932rm -f conftest.$ac_objext 10573rm -f conftest.$ac_objext
10933if { (ac_try="$ac_compile" 10574if { (ac_try="$ac_compile"
10934case "(($ac_try" in 10575case "(($ac_try" in
10935 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10576 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10957rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 10598rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
10958{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 10599{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10959echo "${ECHO_T}$ac_header_compiler" >&6; } 10600echo "${ECHO_T}$ac_header_compiler" >&6; }
10960 10601
10961# Is the header present? 10602# Is the header present?
10962{ echo "$as_me:$LINENO: checking utmpx.h presence" >&5 10603{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
10963echo $ECHO_N "checking utmpx.h presence... $ECHO_C" >&6; } 10604echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
10964cat >conftest.$ac_ext <<_ACEOF 10605cat >conftest.$ac_ext <<_ACEOF
10965/* confdefs.h. */ 10606/* confdefs.h. */
10966_ACEOF 10607_ACEOF
10967cat confdefs.h >>conftest.$ac_ext 10608cat confdefs.h >>conftest.$ac_ext
10968cat >>conftest.$ac_ext <<_ACEOF 10609cat >>conftest.$ac_ext <<_ACEOF
10969/* end confdefs.h. */ 10610/* end confdefs.h. */
10970#include <utmpx.h> 10611#include <$ac_header>
10971_ACEOF 10612_ACEOF
10972if { (ac_try="$ac_cpp conftest.$ac_ext" 10613if { (ac_try="$ac_cpp conftest.$ac_ext"
10973case "(($ac_try" in 10614case "(($ac_try" in
10974 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10615 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10975 *) ac_try_echo=$ac_try;; 10616 *) ac_try_echo=$ac_try;;
10998echo "${ECHO_T}$ac_header_preproc" >&6; } 10639echo "${ECHO_T}$ac_header_preproc" >&6; }
10999 10640
11000# So? What about this header? 10641# So? What about this header?
11001case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 10642case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
11002 yes:no: ) 10643 yes:no: )
11003 { echo "$as_me:$LINENO: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&5 10644 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
11004echo "$as_me: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 10645echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
11005 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the compiler's result" >&5 10646 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
11006echo "$as_me: WARNING: utmpx.h: proceeding with the compiler's result" >&2;} 10647echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
11007 ac_header_preproc=yes 10648 ac_header_preproc=yes
11008 ;; 10649 ;;
11009 no:yes:* ) 10650 no:yes:* )
11010 { echo "$as_me:$LINENO: WARNING: utmpx.h: present but cannot be compiled" >&5 10651 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
11011echo "$as_me: WARNING: utmpx.h: present but cannot be compiled" >&2;} 10652echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
11012 { echo "$as_me:$LINENO: WARNING: utmpx.h: check for missing prerequisite headers?" >&5 10653 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
11013echo "$as_me: WARNING: utmpx.h: check for missing prerequisite headers?" >&2;} 10654echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
11014 { echo "$as_me:$LINENO: WARNING: utmpx.h: see the Autoconf documentation" >&5 10655 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
11015echo "$as_me: WARNING: utmpx.h: see the Autoconf documentation" >&2;} 10656echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
11016 { echo "$as_me:$LINENO: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&5 10657 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
11017echo "$as_me: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&2;} 10658echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
11018 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the preprocessor's result" >&5 10659 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
11019echo "$as_me: WARNING: utmpx.h: proceeding with the preprocessor's result" >&2;} 10660echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
11020 { echo "$as_me:$LINENO: WARNING: utmpx.h: in the future, the compiler will take precedence" >&5 10661 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
11021echo "$as_me: WARNING: utmpx.h: in the future, the compiler will take precedence" >&2;} 10662echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
11022 10663
11023 ;; 10664 ;;
11024esac 10665esac
11025{ echo "$as_me:$LINENO: checking for utmpx.h" >&5 10666{ echo "$as_me:$LINENO: checking for $ac_header" >&5
11026echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 10667echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
11027if test "${ac_cv_header_utmpx_h+set}" = set; then 10668if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
11028 echo $ECHO_N "(cached) $ECHO_C" >&6 10669 echo $ECHO_N "(cached) $ECHO_C" >&6
11029else 10670else
11030 ac_cv_header_utmpx_h=$ac_header_preproc 10671 eval "$as_ac_Header=\$ac_header_preproc"
11031fi 10672fi
10673ac_res=`eval echo '${'$as_ac_Header'}'`
11032{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 10674 { echo "$as_me:$LINENO: result: $ac_res" >&5
11033echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 10675echo "${ECHO_T}$ac_res" >&6; }
11034 10676
11035fi 10677fi
11036if test $ac_cv_header_utmpx_h = yes; then 10678if test `eval echo '${'$as_ac_Header'}'` = yes; then
10679 cat >>confdefs.h <<_ACEOF
10680#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10681_ACEOF
11037 { echo "$as_me:$LINENO: checking for struct utmpx" >&5 10682 { echo "$as_me:$LINENO: checking for struct utmpx" >&5
11038echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; } 10683echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; }
11039if test "${struct_utmpx+set}" = set; then 10684if test "${struct_utmpx+set}" = set; then
11040 echo $ECHO_N "(cached) $ECHO_C" >&6 10685 echo $ECHO_N "(cached) $ECHO_C" >&6
11041else 10686else
11042 cat >conftest.$ac_ext <<_ACEOF 10687 cat >conftest.$ac_ext <<_ACEOF
11209 10854
11210fi 10855fi
11211 10856
11212fi 10857fi
11213 10858
10859done
11214 10860
11215{ echo "$as_me:$LINENO: checking for struct lastlog" >&5 10861{ echo "$as_me:$LINENO: checking for struct lastlog" >&5
11216echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; } 10862echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; }
11217if test "${struct_lastlog+set}" = set; then 10863if test "${struct_lastlog+set}" = set; then
11218 echo $ECHO_N "(cached) $ECHO_C" >&6 10864 echo $ECHO_N "(cached) $ECHO_C" >&6
12971echo "${ECHO_T}no" >&6; } 12617echo "${ECHO_T}no" >&6; }
12972fi 12618fi
12973 12619
12974 12620
12975 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then 12621 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then
12976 LIBS="$LIBS `$PKG_CONFIG xft --libs`" 12622 X_LIBS="`$PKG_CONFIG xft --libs` $X_LIBS"
12977 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`" 12623 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`"
12978 else 12624 else
12979 # Extract the first word of "xft-config", so it can be a program name with args. 12625 # Extract the first word of "xft-config", so it can be a program name with args.
12980set dummy xft-config; ac_word=$2 12626set dummy xft-config; ac_word=$2
12981{ echo "$as_me:$LINENO: checking for $ac_word" >&5 12627{ echo "$as_me:$LINENO: checking for $ac_word" >&5
13016echo "${ECHO_T}no" >&6; } 12662echo "${ECHO_T}no" >&6; }
13017fi 12663fi
13018 12664
13019 12665
13020 if test $XFT_CONFIG != no; then 12666 if test $XFT_CONFIG != no; then
13021 LIBS="$LIBS `$XFT_CONFIG --libs`" 12667 X_LIBS="`$XFT_CONFIG --libs` $X_LIBS"
13022 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`" 12668 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`"
13023 fi 12669 fi
13024 fi 12670 fi
13025 12671
12672 save_LIBS="$LIBS"
12673 LIBS="$LIBS $X_LIBS"
13026 12674
13027for ac_header in X11/Xft/Xft.h 12675for ac_header in X11/Xft/Xft.h
13028do 12676do
13029as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 12677as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
13030if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 12678if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
13163 support_xft=no 12811 support_xft=no
13164fi 12812fi
13165 12813
13166done 12814done
13167 12815
13168
13169{ echo "$as_me:$LINENO: checking for XftDrawString32 in -lXft" >&5 12816 { echo "$as_me:$LINENO: checking for XftDrawString32 in -lXft" >&5
13170echo $ECHO_N "checking for XftDrawString32 in -lXft... $ECHO_C" >&6; } 12817echo $ECHO_N "checking for XftDrawString32 in -lXft... $ECHO_C" >&6; }
13171if test "${ac_cv_lib_Xft_XftDrawString32+set}" = set; then 12818if test "${ac_cv_lib_Xft_XftDrawString32+set}" = set; then
13172 echo $ECHO_N "(cached) $ECHO_C" >&6 12819 echo $ECHO_N "(cached) $ECHO_C" >&6
13173else 12820else
13174 ac_check_lib_save_LIBS=$LIBS 12821 ac_check_lib_save_LIBS=$LIBS
13226LIBS=$ac_check_lib_save_LIBS 12873LIBS=$ac_check_lib_save_LIBS
13227fi 12874fi
13228{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftDrawString32" >&5 12875{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftDrawString32" >&5
13229echo "${ECHO_T}$ac_cv_lib_Xft_XftDrawString32" >&6; } 12876echo "${ECHO_T}$ac_cv_lib_Xft_XftDrawString32" >&6; }
13230if test $ac_cv_lib_Xft_XftDrawString32 = yes; then 12877if test $ac_cv_lib_Xft_XftDrawString32 = yes; then
13231 cat >>confdefs.h <<_ACEOF 12878 :
13232#define HAVE_LIBXFT 1
13233_ACEOF
13234
13235 LIBS="-lXft $LIBS"
13236
13237else 12879else
13238 support_xft=no 12880 support_xft=no
13239fi 12881fi
13240 12882
12883 LIBS="$save_LIBS"
13241 12884
13242 if test x$support_xft = xyes; then 12885 if test x$support_xft = xyes; then
13243 12886
13244cat >>confdefs.h <<\_ACEOF 12887cat >>confdefs.h <<\_ACEOF
13245#define XFT 1 12888#define XFT 1
14369host_cpu!$host_cpu$ac_delim 14012host_cpu!$host_cpu$ac_delim
14370host_vendor!$host_vendor$ac_delim 14013host_vendor!$host_vendor$ac_delim
14371host_os!$host_os$ac_delim 14014host_os!$host_os$ac_delim
14372VERSION!$VERSION$ac_delim 14015VERSION!$VERSION$ac_delim
14373DATE!$DATE$ac_delim 14016DATE!$DATE$ac_delim
14374LSMDATE!$LSMDATE$ac_delim
14375LIBVERSION!$LIBVERSION$ac_delim
14376CC!$CC$ac_delim 14017CC!$CC$ac_delim
14377CFLAGS!$CFLAGS$ac_delim 14018CFLAGS!$CFLAGS$ac_delim
14378LDFLAGS!$LDFLAGS$ac_delim 14019LDFLAGS!$LDFLAGS$ac_delim
14379CPPFLAGS!$CPPFLAGS$ac_delim 14020CPPFLAGS!$CPPFLAGS$ac_delim
14380ac_ct_CC!$ac_ct_CC$ac_delim 14021ac_ct_CC!$ac_ct_CC$ac_delim
14388INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim 14029INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
14389INSTALL_DATA!$INSTALL_DATA$ac_delim 14030INSTALL_DATA!$INSTALL_DATA$ac_delim
14390GREP!$GREP$ac_delim 14031GREP!$GREP$ac_delim
14391EGREP!$EGREP$ac_delim 14032EGREP!$EGREP$ac_delim
14392LINKER!$LINKER$ac_delim 14033LINKER!$LINKER$ac_delim
14393INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim
14394RXVTNAME!$RXVTNAME$ac_delim 14034RXVTNAME!$RXVTNAME$ac_delim
14395CXXCPP!$CXXCPP$ac_delim 14035CXXCPP!$CXXCPP$ac_delim
14396TIC!$TIC$ac_delim 14036TIC!$TIC$ac_delim
14397XMKMF!$XMKMF$ac_delim 14037XMKMF!$XMKMF$ac_delim
14398X_CFLAGS!$X_CFLAGS$ac_delim 14038X_CFLAGS!$X_CFLAGS$ac_delim
14419include_stdint_h!$include_stdint_h$ac_delim 14059include_stdint_h!$include_stdint_h$ac_delim
14420include_stdarg_h!$include_stdarg_h$ac_delim 14060include_stdarg_h!$include_stdarg_h$ac_delim
14421include_stdlib_h!$include_stdlib_h$ac_delim 14061include_stdlib_h!$include_stdlib_h$ac_delim
14422include_unistd_h!$include_unistd_h$ac_delim 14062include_unistd_h!$include_unistd_h$ac_delim
14423include_string_h!$include_string_h$ac_delim 14063include_string_h!$include_string_h$ac_delim
14064include_fcntl_h!$include_fcntl_h$ac_delim
14065include_util_h!$include_util_h$ac_delim
14066include_assert_h!$include_assert_h$ac_delim
14424_ACEOF 14067_ACEOF
14425 14068
14426 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 14069 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
14427 break 14070 break
14428 elif $ac_last_try; then 14071 elif $ac_last_try; then
14460 14103
14461 14104
14462ac_delim='%!_!# ' 14105ac_delim='%!_!# '
14463for ac_last_try in false false false false false :; do 14106for ac_last_try in false false false false false :; do
14464 cat >conf$$subs.sed <<_ACEOF 14107 cat >conf$$subs.sed <<_ACEOF
14465include_fcntl_h!$include_fcntl_h$ac_delim
14466include_util_h!$include_util_h$ac_delim
14467include_assert_h!$include_assert_h$ac_delim
14468include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim 14108include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim
14469include_sys_select_h!$include_sys_select_h$ac_delim 14109include_sys_select_h!$include_sys_select_h$ac_delim
14470include_sys_strredir_h!$include_sys_strredir_h$ac_delim 14110include_sys_strredir_h!$include_sys_strredir_h$ac_delim
14471include_sys_time_h!$include_sys_time_h$ac_delim 14111include_sys_time_h!$include_sys_time_h$ac_delim
14472include_time_h!$include_time_h$ac_delim 14112include_time_h!$include_time_h$ac_delim
14473LIBOBJS!$LIBOBJS$ac_delim 14113LIBOBJS!$LIBOBJS$ac_delim
14474LTLIBOBJS!$LTLIBOBJS$ac_delim 14114LTLIBOBJS!$LTLIBOBJS$ac_delim
14475_ACEOF 14115_ACEOF
14476 14116
14477 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 10; then 14117 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 7; then
14478 break 14118 break
14479 elif $ac_last_try; then 14119 elif $ac_last_try; then
14480 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 14120 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
14481echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 14121echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
14482 { (exit 1); exit 1; }; } 14122 { (exit 1); exit 1; }; }

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines